### Method

# Meta Workspace get_neighbor

#### Declaration [src]

    MetaWorkspace*
    meta_workspace_get_neighbor (
      MetaWorkspace* workspace,
      MetaMotionDirection direction
    )

#### Description [src]

Calculate and retrieve the workspace that is next to `workspace`, according to `direction` and the current workspace layout, as set by meta_screen_override_workspace_layout().

#### Parameters

`direction`

  Type: `MetaMotionDirection`

  A `MetaMotionDirection`, relative to `workspace`.

#### Return value

Type: `MetaWorkspace`

The workspace next to `workspace`, or `workspace` itself if the neighbor would be outside the layout.

The returned data is owned by the instance.